// @push.rocks scope
import * as smartenv from '@push.rocks/smartenv';

export {
  smartenv,
}

// lets setup dependencies
const smartenvInstance = new smartenv.Smartenv();

await smartenvInstance.getSafeNodeModule<typeof import('stream/web')>('stream/web', async (moduleArg) => {
  globalThis.ReadableStream = moduleArg.ReadableStream;
  globalThis.WritableStream = moduleArg.WritableStream;
  globalThis.TransformStream = moduleArg.TransformStream;
})
